BlockOps.h File Reference
`#include "Paso.h"`
`#include "PasoException.h"`
`#include <cstring>`

Go to the source code of this file.

## Namespaces

| paso

## Macros

#define | PASO_MISSING_CLAPACK throw PasoException("You need to install a LAPACK version to enable operations on block sizes > 3.")

## Functions

void | paso::BlockOps_Cpy_N (dim_t N, double *R, const double *V)
void | paso::BlockOps_SMV_2 (double *R, const double *mat, const double *V)
| performs operation R=R-mat*V (V and R are not overlapping) - 2x2 More...
void | paso::BlockOps_SMV_3 (double *R, const double *mat, const double *V)
| performs operation R=R-mat*V (V and R are not overlapping) - 3x3 More...
void | paso::BlockOps_SMV_N (dim_t N, double *R, const double *mat, const double *V)
| performs operation R=R-mat*V (V and R are not overlapping) - NxN More...
void | paso::BlockOps_MV_N (dim_t N, double *R, const double *mat, const double *V)
void | paso::BlockOps_invM_2 (double *invA, const double *A, int *failed)
void | paso::BlockOps_invM_3 (double *invA, const double *A, int *failed)
void | paso::BlockOps_invM_N (dim_t N, double *mat, index_t *pivot, int *failed)
| LU factorization of NxN matrix mat with partial pivoting. More...
void | paso::BlockOps_solve_N (dim_t N, double *X, double *mat, index_t *pivot, int *failed)
| solves system of linear equations A*X=B More...
void | paso::BlockOps_MViP_2 (const double *mat, double *V)
| inplace matrix vector product - order 2 More...
void | paso::BlockOps_MViP_3 (const double *mat, double *V)
| inplace matrix vector product - order 3 More...
void | paso::BlockOps_solveAll (dim_t n_block, dim_t n, double *D, index_t *pivot, double *x)

## Macro Definition Documentation

## PASO_MISSING_CLAPACK

#define PASO_MISSING_CLAPACK throw PasoException("You need to install a LAPACK version to enable operations on block sizes > 3.")

Referenced by paso::BlockOps_invM_N(), paso::BlockOps_MV_N(), paso::BlockOps_SMV_N(), and paso::BlockOps_solve_N().